Debian Bug report logs - #53805
ntpdate: Does not work when date is set to some times in the late future

version graph

Package: ntpdate; Maintainer for ntpdate is Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>; Source for ntpdate is src:ntp.

Reported by: Aaron Lehmann <aaronl@vitelus.com>

Date: Sat, 1 Jan 2000 03:03:01 UTC

Severity: normal

Tags: fixed-in-experimental

Found in version 4.0.98h-1

Done: "Matthias Urlichs" <smurf@smurf.noris.de>

Bug is archived. No further changes may be made.

Forwarded to stenn@whimsy.udel.edu

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#53805; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to Aaron Lehmann <aaronl@vitelus.com>:
New Bug report received and forwarded. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aaron Lehmann <aaronl@vitelus.com>
To: submit@bugs.debian.org
Subject: ntpdate _BREAKS_ with Y2K
Date: Mon, 01 Nov 2004 00:00:15 -0800
Package: ntpdate
Version: 4.0.98h-1
Severity: critical

ntpdate fails when trying to sync time when software clock is set to > Y2K. It fails with "Invalid argument".

[root@vitelus aaronl]# ntpdate time.arizona.edu
 1 Nov 00:00:04 ntpdate[18247]: Can't adjust the time of day: Invalid argument


Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#53805; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 53805@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Aaron Lehmann <aaronl@vitelus.com>, 53805@bugs.debian.org
Subject: Re: Bug#53805: ntpdate _BREAKS_ with Y2K
Date: Fri, 31 Dec 1999 20:53:09 -0700 (MST)
In article <E1COX6t-0004kK-00@vitelus.com> you wrote:

> ntpdate fails when trying to sync time when software clock is set to > Y2K. It fails with "Invalid argument".

> [root@vitelus aaronl]# ntpdate time.arizona.edu
>  1 Nov 00:00:04 ntpdate[18247]: Can't adjust the time of day: Invalid argument

Several of us on the Debian developer's IRC channel have attempted to duplicate
your problem on a variety of machines that are in the now-Y2K part of the
globe.  We can't duplicate the problem.

The error in question is an error code returned from adjtime().  If the
problem is persistent for you, I need to know what libc revision you're 
running, what kernel version... and if possible, I'd like you to strace the
executable so we can try to figure this out.

For everything we can figure out to try, "it just works".

Bdale


Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#53805; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to Aaron Lehmann <aaronl@vitelus.com>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #15 received at 53805@bugs.debian.org (full text, mbox):

From: Aaron Lehmann <aaronl@vitelus.com>
To: Bdale Garbee <bdale@gag.com>
Cc: 53805@bugs.debian.org
Subject: Re: Bug#53805: ntpdate _BREAKS_ with Y2K
Date: Sat, 1 Jan 2000 21:37:32 +0000 (GMT)
I have tried ntpdate with my clock set to 2004 and 2012, but not 2000.
This may be why I was expiriencing problems. I had found at least one
other person who had exactly the same problem on #debian. Quite oddly, the
problem seems to exist only with some dates:

[root@vitelus aaronl]# date --set 342432
Tue Jan  1 00:00:00 PST 2036
[root@vitelus aaronl]# ntpdate usno.pa-x.dec.com
14 Dec 10:19:14 ntpdate[19906]: step time server 204.123.2.72 offset
1011458832.369154 sec
[root@vitelus aaronl]# date --set 45375
Mon Jul 14 00:00:00 PDT 2008
[root@vitelus aaronl]# ntpdate usno.pa-x.dec.com
14 Jul 00:00:02 ntpdate[19908]: Can't adjust the time of day: Invalid
argument

Kernel version is 2.2.12 vanilla, glibc is 2.1.2-10, here's an strace of a
failing attempt to sync the time:


execve("/usr/sbin/ntpdate", ["ntpdate", "usno.pa-x.dec.com"], [/* 22 vars */]) = 0
brk(0)                                  = 0x8052d64
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=12032, ...}) = 0
mmap(NULL, 12032, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40013000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
fstat(3, {st_mode=S_IFREG|0755, st_size=936696, ...}) = 0
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\4\211\1"..., 4096) = 4096
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40016000
mmap(NULL, 898908, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x40017000
mprotect(0x400eb000, 30556, PROT_NONE)  = 0
mmap(0x400eb000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0xd3000) = 0x400eb000
mmap(0x400ef000, 14172, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x400ef000
close(3)                                = 0
munmap(0x40013000, 12032)               = 0
personality(PER_LINUX)                  = 0
getpid()                                = 19926
brk(0)                                  = 0x8052d64
brk(0x805317c)                          = 0x805317c
brk(0x8054000)                          = 0x8054000
gettimeofday({1216018826, 261945}, NULL) = 0
getpid()                                = 19926
open("/etc/resolv.conf", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=72, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40013000
read(3, "nameserver 127.0.0.1\nnameserver "..., 4096) = 72
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x40013000, 4096)                = 0
uname({sys="Linux", node="vitelus.com", ...}) = 0
socket(PF_UNIX, SOCK_STREAM, 0)         = 3
connect(3, {sin_family=AF_UNIX, path="                                                                                       /var/run/.nscd_socket"}, 110) = -1 ECONNREFUSED (Connection refused)
close(3)                                = 0
open("/etc/nsswitch.conf", O_RDONLY)    = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=465, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40013000
read(3, "# /etc/nsswitch.conf\n#\n# Example"..., 4096) = 465
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x40013000, 4096)                = 0
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=12032, ...}) = 0
mmap(NULL, 12032, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40013000
close(3)                                = 0
open("/lib/libnss_files.so.2", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=32104, ...}) = 0
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000 \0\000"..., 4096) = 4096
mmap(NULL, 34368, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x400f3000
mprotect(0x400fb000, 1600, PROT_NONE)   = 0
mmap(0x400fb000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0x7000) = 0x400fb000
close(3)                                = 0
munmap(0x40013000, 12032)               = 0
open("/etc/host.conf", O_RDONLY)        = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=26, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40013000
read(3, "order hosts,bind\nmulti on\n", 4096) = 26
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x40013000, 4096)                = 0
open("/etc/hosts", O_RDONLY)            = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=718, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40013000
read(3, "127.0.0.1\tlocalhost\tlocalhost.lo"..., 4096) = 718
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x40013000, 4096)                = 0
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=12032, ...}) = 0
mmap(NULL, 12032, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40013000
close(3)                                = 0
open("/lib/libnss_dns.so.2", O_RDONLY)  = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=11876, ...}) = 0
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240\r\0"..., 4096) = 4096
mmap(NULL, 14324, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x400fc000
mprotect(0x400ff000, 2036, PROT_NONE)   = 0
mmap(0x400ff000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0x2000) = 0x400ff000
close(3)                                = 0
open("/lib/libresolv.so.2", O_RDONLY)   = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=47568, ...}) = 0
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0 \'\0\000"..., 4096) = 4096
mmap(NULL, 59388, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x40100000
mprotect(0x4010b000, 14332, PROT_NONE)  = 0
mmap(0x4010b000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0xa000) = 0x4010b000
mmap(0x4010d000, 6140, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4010d000
close(3)                                = 0
munmap(0x40013000, 12032)               = 0
socket(PF_INET, SOCK_DGRAM, IPPROTO_IP) = 3
connect(3, {sin_family=AF_INET, sin_port=htons(53), sin_addr=inet_addr("127.0.0.1")}}, 16) = 0
send(3, "Kf\1\0\0\1\0\0\0\0\0\0\4usno\4pa-x\3dec\3com\0\0"..., 35, 0) = 35
time(NULL)                              = 1216018826
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 5000) = 1
recvfrom(3, "Kf\201\200\0\1\0\1\0\2\0\2\4usno\4pa-x\3dec\3com\0\0"..., 1024, 0, {sin_family=AF_INET, sin_port=htons(53), sin_addr=inet_addr("127.0.0.1")}}, [16]) = 130
close(3)                                = 0
brk(0x8055000)                          = 0x8055000
socket(PF_INET, SOCK_DGRAM, IPPROTO_IP) = 3
bind(3, {sin_family=AF_INET, sin_port=htons(123), sin_addr=inet_addr("0.0.0.0")}}, 16) = 0
fcntl(3, F_SETFL, O_RDONLY|O_NONBLOCK)  = 0
rt_sigaction(SIGALRM, {0x804a678, [], 0x4000000}, {SIG_DFL}, 8) = 0
setitimer(ITIMER_REAL, {it_interval={0, 200000}, it_value={0, 100000}}, NULL) = 0
setpriority(PRIO_PROCESS, 0, -12)       = 0
poll([{fd=3, events=POLLIN}], 1, 60000) = -1 EINTR (Interrupted system call)
--- SIGALRM (Alarm clock) ---
sigreturn()                             = ? (mask now [])
gettimeofday({1216018826, 380553}, NULL) = 0
sendto(3, "\343\0\4\372\0\1\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 48, 0, {sin_family=AF_INET, sin_port=htons(123), sin_addr=inet_addr("204.123.2.72")}}, 16) = 48
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 60000) = 1
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 0) = 1
gettimeofday({1216018826, 410398}, NULL) = 0
brk(0x8056000)                          = 0x8056000
recvfrom(3, "$\1\4\360\0\0\0\0\0\0\0\33USNO\274\30\361\271\344\17p\0"..., 80, 0, {sin_family=AF_INET, sin_port=htons(123), sin_addr=inet_addr("204.123.2.72")}}, [16]) = 48
poll([{fd=3, events=POLLIN}], 1, 0)     = 0
gettimeofday({1216018826, 411355}, NULL) = 0
sendto(3, "\343\0\4\372\0\1\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 48, 0, {sin_family=AF_INET, sin_port=htons(123), sin_addr=inet_addr("204.123.2.72")}}, 16) = 48
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 60000) = 1
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 0) = 1
gettimeofday({1216018826, 430366}, NULL) = 0
recvfrom(3, "$\1\4\360\0\0\0\0\0\0\0\33USNO\274\30\361\271\344\17p\0"..., 80, 0, {sin_family=AF_INET, sin_port=htons(123), sin_addr=inet_addr("204.123.2.72")}}, [16]) = 48
poll([{fd=3, events=POLLIN}], 1, 0)     = 0
gettimeofday({1216018826, 440695}, NULL) = 0
sendto(3, "\343\0\4\372\0\1\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 48, 0, {sin_family=AF_INET, sin_port=htons(123), sin_addr=inet_addr("204.123.2.72")}}, 16) = 48
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 60000) = 1
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 0) = 1
gettimeofday({1216018826, 480371}, NULL) = 0
recvfrom(3, "$\1\4\360\0\0\0\0\0\0\0\33USNO\274\30\361\271\344\17p\0"..., 80, 0, {sin_family=AF_INET, sin_port=htons(123), sin_addr=inet_addr("204.123.2.72")}}, [16]) = 48
poll([{fd=3, events=POLLIN}], 1, 0)     = 0
gettimeofday({1216018826, 481113}, NULL) = 0
sendto(3, "\343\0\4\372\0\1\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 48, 0, {sin_family=AF_INET, sin_port=htons(123), sin_addr=inet_addr("204.123.2.72")}}, 16) = 48
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 60000) = 1
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 0) = 1
gettimeofday({1216018826, 510362}, NULL) = 0
recvfrom(3, "$\1\4\360\0\0\0\0\0\0\0\33USNO\274\30\361\271\344\17p\0"..., 80, 0, {sin_family=AF_INET, sin_port=htons(123), sin_addr=inet_addr("204.123.2.72")}}, [16]) = 48
poll([{fd=3, events=POLLIN}], 1, 0)     = 0
time(NULL)                              = 1216018826
open("/etc/localtime", O_RDONLY)        = 4
read(4, "TZif\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\3\0\0\0\3\0"..., 44) = 44
read(4, "\236\246H\240\237\273\25\220\240\206*\240\241\232\367\220"..., 920) = 920
fstat(4, {st_mode=S_IFREG|0644, st_size=1000, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40013000
read(4, "\377\377\235\220\1\0\377\377\217\200\0\4\377\377\235\220"..., 4096) = 36
close(4)                                = 0
munmap(0x40013000, 4096)                = 0
write(2, "14 Jul 00:00:26 ", 1614 Jul 00:00:26 )        = 16
getpid()                                = 19926
write(2, "ntpdate[19926]: Can\'t adjust the"..., 63ntpdate[19926]: Can't adjust the time of day: Invalid argument
) = 63
_exit(0)                                = ?


On Fri, 31 Dec 1999, Bdale Garbee wrote:

> In article <E1COX6t-0004kK-00@vitelus.com> you wrote:
> 
> > ntpdate fails when trying to sync time when software clock is set to > Y2K. It fails with "Invalid argument".
> 
> > [root@vitelus aaronl]# ntpdate time.arizona.edu
> >  1 Nov 00:00:04 ntpdate[18247]: Can't adjust the time of day: Invalid argument
> 
> Several of us on the Debian developer's IRC channel have attempted to duplicate
> your problem on a variety of machines that are in the now-Y2K part of the
> globe.  We can't duplicate the problem.
> 
> The error in question is an error code returned from adjtime().  If the
> problem is persistent for you, I need to know what libc revision you're 
> running, what kernel version... and if possible, I'd like you to strace the
> executable so we can try to figure this out.
> 
> For everything we can figure out to try, "it just works".
> 
> Bdale
> 



Reply sent to Bdale Garbee <bdale@gag.com>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #18 received at 53805-forwarded@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: stenn@whimsy.udel.edu
Cc: 41713-forwarded@bugs.debian.org, 53805-forwarded@bugs.debian.org
Subject: ntpdate funnies post-Y2K
Date: Wed, 05 Jan 2000 21:48:50 -0700
Harlan, 

As you may recall, I maintain the ntp packages for Debian GNU/Linux.

About a half-year ago, I got a bug report about ntpdate not always setting the
date properly on systems with times set into the post-Y2K future.  I poked at
it a bit, but wasn't able to reproduce the problem.  The Debian bug number is
41713, and it's still open in our bug tracking system.

Last weekend, the same problem got reported again, this time in a release-
critical form.  I tried a couple of simple examples, and was unable to 
reproduce the problem.  The submitter followed up, providing some examples and
an strace output.  This one is bug 53805.

Care to take a look and comment?  I haven't had time to chase the details in
the follow-up report, but I know you're trying to get to a release, and Debian
2.2 is scheduled to code freeze this coming weekend, so I'm motivated to help
get this figured out and put to bed before our respective releases if I can.

The full details can be found at

	http://bugs.debian.org/ntpdate/

I'm packaging 4.0.98j for upload now, it will close some of the other open
bugs relating to my packaging of 4.0.98h... so don't get too mired down if 
you choose to look at the other bug reports.

Bdale


Message #19 received at 53805-forwarded@bugs.debian.org (full text, mbox):

From: stenn@whimsy.udel.edu
To: Bdale Garbee <bdale@gag.com>
Cc: 41713-forwarded@bugs.debian.org, 53805-forwarded@bugs.debian.org
Subject: Re: ntpdate funnies post-Y2K
Date: Thu, 06 Jan 2000 00:14:33 -0500
Bdale,

That error is generated because the adjtime() call is failing.

I may not be able to test this soon enough - I'm currently fighting
other fires.

I recommend that somebody either runs ntpdate under a debugger or puts
some debugging printf's (or msyslog calls) in that part of the code
(near line 1807 of ntpdate.c) and make sure:

- the pointers to oadjtv and adjtv are OK (should be - they are
  allocated off the stack)
- the data in adjtv is OK

If it's not too late, I'll take a look at this after my other fires get
put out.

Harlan


Severity set to `normal'. Request was from bdale@gag.com (Bdale Garbee) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#53805; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to Aaron Lehmann <aaronl@vitelus.com>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #26 received at 53805@bugs.debian.org (full text, mbox):

From: Aaron Lehmann <aaronl@vitelus.com>
To: 53805@bugs.debian.org
Subject: Tip
Date: Tue, 3 Apr 2001 13:33:25 -0700
The examples given before were basically random and it seems that date
didn't do strict checking back then.

With a valid date string such as:

bash-2.04# date --set 101010
Sun Oct 10 00:00:00 PDT 2010

I can reproduce the problem:
10 Oct 00:07:42 ntpdate[26183]: Can't adjust the time of day: Invalid argument

Here's an ltrace:

__libc_start_main(0x08048f50, 2, 0xbffff91c, 0x08048b34, 0x0804d83c <unfinished ...>
__register_frame_info(0x08050280, 0x08050624, 0x400437b6, 0x40064ba4, 0x401564dc) = 0
gethostbyname("usno.pa-x.dec.com")                = 0x40159404
memmove(0xbffff840, 0x0805300c, 4, 0x40016708, 0x401564dc) = 0xbffff840
malloc(260)                                       = 0x08053ec8
malloc(1680)                                      = 0x08053fd0
socket(2, 2, 0)                                   = 3
bind(3, 0xbffff844, 16, 0x40153ef4, 0)            = 0
fcntl(3, 4, 2048, 0x40153ef4, 0)                  = 0
sigemptyset(0xbffff79c, 0x4000bbe0, 0x400370c0, 0x401074c4, 0x401564dc) = 0
sigaction(14, 0xbffff798, 0xbffff70c, 0x401074c4, 0x401564dc) = 0
setitimer(0, 0xbffff844, 0, 0x0804a6f7, 14)       = 0
setpriority(0, 0, -12, 0x0804939a, 0x401564dc)    = 0
poll(0xbffff878, 1, 60000, 0x080493dd, 0x401564dc <unfinished ...>
--- SIGALRM (Alarm clock) ---
breakpointed at 0x401061eb (?)
<... poll resumed> )                              = -1
__errno_location()                                = 0x40157140
gettimeofday(0xbffff78c, 0, 0xbffff7a4, 0x080483c0, 0x08053ec8) = 0
sendto(3, 0xbffff7d4, 48, 0, 0x08053ecc)          = 48
poll(0xbffff878, 1, 60000, 0x080493dd, 0x401564dc) = 1
poll(0xbffff7e8, 1, 0, 0, 0)                      = 1
gettimeofday(0xbffff79c, 0, 0x40016204, 0x401564dc, 0) = 0
malloc(2800)                                      = 0x08054668
recvfrom(3, 0x08054f64, 80, 0, 0x08054f2c)        = 48
poll(0xbffff7e8, 1, 0, 0x0804a945, 0)             = 0
gettimeofday(0xbffff73c, 0, 0x08053ecc, 0x400a9921, 7790) = 0
sendto(3, 0xbffff784, 48, 0, 0x08053ecc)          = 48
poll(0xbffff878, 1, 60000, 0x080493dd, 0x401564dc) = 1
poll(0xbffff7e8, 1, 0, 0x0804a945, 0)             = 1
gettimeofday(0xbffff79c, 0, 0xfa0400e3, 0x401564dc, 0) = 0
recvfrom(3, 0x08054f64, 80, 0, 0x08054f2c)        = 48
poll(0xbffff7e8, 1, 0, 0x0804a945, 0)             = 0
gettimeofday(0xbffff73c, 0, 48, 0, 7662)          = 0
sendto(3, 0xbffff784, 48, 0, 0x08053ecc)          = 48
poll(0xbffff878, 1, 60000, 0x080493dd, 0x401564dc <unfinished ...>
--- SIGALRM (Alarm clock) ---
breakpointed at 0x401061eb (?)
<... poll resumed> )                              = -1
__errno_location()                                = 0x40157140
poll(0xbffff878, 1, 60000, 0x080493dd, 0x401564dc) = 1
poll(0xbffff7e8, 1, 0, 0, 0)                      = 1
gettimeofday(0xbffff79c, 0, 0, 0x401564dc, 0)     = 0
recvfrom(3, 0x08054f64, 80, 0, 0x08054f2c)        = 48
poll(0xbffff7e8, 1, 0, 0x0804a945, 0)             = 0
gettimeofday(0xbffff73c, 0, 0, 0, 7644)           = 0
sendto(3, 0xbffff784, 48, 0, 0x08053ecc)          = 48
poll(0xbffff878, 1, 60000, 0x080493dd, 0x401564dc) = 1
poll(0xbffff7e8, 1, 0, 0x0804a945, 0)             = 1
gettimeofday(0xbffff79c, 0, 0xfa0400e3, 0x401564dc, 0) = 0
recvfrom(3, 0x08054f64, 80, 0, 0x08054f2c)        = 48
poll(0xbffff7e8, 1, 0, 0x0804a945, 0)             = 0
adjtime(0xbffff80c, 0xbffff804, 0, 0x08053f08, 0) = -1



Changed Bug title. Request was from Aaron Lehmann <aaronl@vitelus.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#53805; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to bugs@LuftHans.com:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #33 received at 53805@bugs.debian.org (full text, mbox):

From: bugs@LuftHans.com
To: 41713@bugs.debian.org, 53805@bugs.debian.org, 116371@bugs.debian.org
Subject: use of -b
Date: Sat, 1 Dec 2001 12:37:10 -0700 (MST)
moin, moin,

the -b flag works around the problem reported in bugs 41713 and 53805. The
package currently in testing now uses that flag in the init script.

That isn't reported in the bug reports, so I thought I'd send the info in
for anyone else who stumbles across them as I did :).

Bug 116371 reports a bug with the init script flags, so I thought it
worthwhile to document why at least one of them is used.

ciao,

der.hans
-- 
#  http://home.pages.de/~lufthans/   http://www.DevelopOnline.com/
#  I'm not anti-social, I'm pro-individual. - der.hans




Tags added: fixed-in-experimental Request was from Matthias Urlichs <smurf@smurf.noris.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to "Matthias Urlichs" <smurf@smurf.noris.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Aaron Lehmann <aaronl@vitelus.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 53805-done@bugs.debian.org (full text, mbox):

From: "Matthias Urlichs" <smurf@smurf.noris.de>
To: 53805-done@bugs.debian.org
Subject: Closed by upload of 4.2.0a-1
Date: Thu, 18 Mar 2004 08:21:20 +0100

This bug was tagged closed-in-experimental.
I'm now really closing it, as 4.2.0a-1 has been uploaded to Unstable.

-- 
Matthias Urlichs



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:14:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.